# Uses of Interface
org.xml.sax.DTDHandler

Packages that use DTDHandler
Package
Description
javax.xml.transform.sax
Provides SAX specific transformation classes.
org.xml.sax
Provides the interfaces for the Simple API for XML (SAX).
org.xml.sax.ext
Provides interfaces to SAX2 facilities that conformant SAX drivers won't necessarily support.
org.xml.sax.helpers
Provides helper classes, including support for bootstrapping SAX-based applications.

## Uses of DTDHandler in javax.xml.transform.sax

Subinterfaces of DTDHandler in javax.xml.transform.sax
Modifier and Type
Interface
Description
`interface`
`TransformerHandler`
A TransformerHandler listens for SAX ContentHandler parse events and transforms them to a Result.

## Uses of DTDHandler in org.xml.sax

Classes in org.xml.sax that implement DTDHandler
Modifier and Type
Class
Description
`class`
`HandlerBase`
Deprecated.
This class works with the deprecated `DocumentHandler` interface.
Methods in org.xml.sax that return DTDHandler
Modifier and Type
Method
Description
`DTDHandler`
XMLReader.`getDTDHandler()`
Return the current DTD handler.
Methods in org.xml.sax with parameters of type DTDHandler
Modifier and Type
Method
Description
`void`
Parser.`setDTDHandler(DTDHandler handler)`
Deprecated.
Allow an application to register a DTD event handler.
`void`
XMLReader.`setDTDHandler(DTDHandler handler)`
Allow an application to register a DTD event handler.

## Uses of DTDHandler in org.xml.sax.ext

Classes in org.xml.sax.ext that implement DTDHandler
Modifier and Type
Class
Description
`class`
`DefaultHandler2`
This class extends the SAX2 base handler class to support the SAX2 `LexicalHandler`, `DeclHandler`, and `EntityResolver2` extensions.

## Uses of DTDHandler in org.xml.sax.helpers

Classes in org.xml.sax.helpers that implement DTDHandler
Modifier and Type
Class
Description
`class`
`DefaultHandler`
Default base class for SAX2 event handlers.
`class`
`XMLFilterImpl`
Base class for deriving an XML filter.
Methods in org.xml.sax.helpers that return DTDHandler
Modifier and Type
Method
Description
`DTDHandler`
ParserAdapter.`getDTDHandler()`
Return the current DTD handler.
`DTDHandler`
XMLFilterImpl.`getDTDHandler()`
Get the current DTD event handler.
Methods in org.xml.sax.helpers with parameters of type DTDHandler
Modifier and Type
Method
Description
`void`
ParserAdapter.`setDTDHandler(DTDHandler handler)`
Set the DTD handler.
`void`
XMLFilterImpl.`setDTDHandler(DTDHandler handler)`
Set the DTD event handler.
`void`
XMLReaderAdapter.`setDTDHandler(DTDHandler handler)`
Register the DTD event handler.